package org.texttechnologylab.project.gruppe_05_1.database.domainimp.speeches;

import org.bson.Document;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Impls.Speaker_File_Impl;
import org.texttechnologylab.project.gruppe_05_1.xml.speeches.Interfaces.Speaker;

public class Speaker_MongoDB_Impl extends Speaker_File_Impl implements Speaker {
    public Speaker_MongoDB_Impl(Document mongoDocument) {
        super(
                mongoDocument.getInteger("contentId"),
                mongoDocument.getInteger("speechId"),
                mongoDocument.getInteger("speakerId"),
                mongoDocument.getString("speakerName"),
                mongoDocument.getString("fraction"));
    }
}
